Dropped the python 3.6/3.7 in zed cycle testing runtime

In Zed cycle, we have dropped the python 3.6/3.7[1] testing
and its support.

[1] https://governance.openstack.org/tc/reference/runtimes/zed.html

Change-Id: If6c82699a088644aa7515021f62b1d08cb6c61fb
changes/20/841820/1
Cai Hui 9 months ago
parent 14560b4e77
commit 111dfafb62

@ -6,11 +6,10 @@ summary = The OpenStack Backup Restore and Disaster Recovery as a Service Platfo
description_file = README.rst
home_page = https://docs.openstack.org/freezer/latest/
license = Apache-2
python_requires = >=3.8
classifier =
Programming Language :: Python
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8
Programming Language :: Python :: 3.9
Development Status :: 5 - Production/Stable

@ -54,9 +54,6 @@ basepython = python3.9
[testenv:py38]
basepython = python3.8
[testenv:py36]
basepython = python3.6
[testenv:docs]
deps =
-c{env:UPPER_CONSTRAINTS_FILE:https://releases.openstack.org/constraints/upper/master}

Loading…
Cancel
Save